# PUT /api/v1/voice_agent_keywords/:id

Update AI Keyword Rule by id.

## Params

| Param name | Description<br> <br>**Validations** |
| --- | --- |
| **voice_agent_flow_id**<br>OptionalBlank Value Allowed | Voice Agent Flow<br>**Validations:**<br>- Must be a valid foreign key reference to an [Voice Agent Flow](/content/api/docs/1.0/voice_agent_flows/index.html). Refer to: [/api/docs/1.0/voice_agent_flows](/content/api/docs/1.0/voice_agent_flows/index.html) |
| **description**<br>OptionalBlank Value Allowed | Description – Internal note describing the purpose of this rule.<br>**Validations:**<br>- Must be a String |
| **detection_channel**<br>OptionalBlank Value Allowed | Detection Channel – Where to listen for keywords (inbound, outbound, or all). Defaults to all.<br>**Validations:**<br>- Must be a String |
| **keywords**<br>OptionalBlank Value Allowed | Keywords – Comma-separated list of words or phrases to detect.<br>**Validations:**<br>- Must be an array of strings. EG: `[
  "abc123",
  "xzy023"
]` |
| **call_disposition_id**<br>OptionalBlank Value Allowed | Call Disposition – Disposition to apply when keywords are detected.<br>**Validations:**<br>- Must be a valid foreign key reference to an [Call Disposition](/content/api/docs/1.0/call_dispositions/index.html). Refer to: [/api/docs/1.0/call_dispositions](/content/api/docs/1.0/call_dispositions/index.html) |
| **schedule_action_group_id**<br>OptionalBlank Value Allowed | Schedule Action Group – Action group to schedule when keywords are detected.<br>**Validations:**<br>- Must be a valid foreign key reference to an [Schedule Action Group](/content/api/docs/1.0/schedule_action_groups/index.html). Refer to: [/api/docs/1.0/schedule_action_groups](/content/api/docs/1.0/schedule_action_groups/index.html) |
| **call_control_action_ids**<br>OptionalBlank Value Allowed | Call Control Action IDs – Additional call control actions to perform.<br>**Validations:**<br>- Must be a valid array of integers. Each integer ID must be a valid foreign key reference to an [Call Control Action](/content/api/docs/1.0/call_control_actions/index.html). Refer to: [/api/docs/1.0/call_control_actions](/content/api/docs/1.0/call_control_actions/index.html) |
